package com.bb.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.bb.dao.CoinDao;
import com.bb.dao.SiteDao;
import com.bb.model.CoinVo;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@Service
public class CoinServiceImpl implements CoinService{
	
	
	@Autowired
	private CoinDao coinDao;
	
	@Override
	public void saveCoinInfo(CoinVo coinInfo) {
		coinDao.saveCoinInfo(coinInfo);
	}

	

	@Override
	public CoinVo getCoinInfo(String coinSymbol, String currency) {
		return coinDao.getCoinInfo(coinSymbol, currency);
	}

}
